tigase.jaxmpp.core.client

## Interface Connector.StanzaReceivedHandler

- All Superinterfaces:
    EventHandler
  Enclosing interface:
    Connector

      public static interface Connector.StanzaReceivedHandler
      extends EventHandler

  Implemented by handlers of StanzaReceivedEvent.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Connector.StanzaReceivedHandler.StanzaReceivedEvent` Fired when stanza is received.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onStanzaReceived(SessionObject sessionObject, StreamPacket stanza)` Called when StanzaReceivedEvent is fired.

- - ### Method Detail

    - #### onStanzaReceived

          void onStanzaReceived(SessionObject sessionObject,
                                StreamPacket stanza)

      Called when StanzaReceivedEvent is fired.
      Parameters:
        `sessionObject` - session object related to connection.
        `stanza` - received stanza.

Copyright © 2006–2020 Tigase. All rights reserved.